# Changelog

All notable changes to this project will be documented in this file.

## [2.1.4] - 21 Feb, 2023

### New features

- Added new `withResidency(value: MyIdResidentType)` method for residency.
- Added new translations to texts in MyID SDK.

## [2.1.3] - 30 Jan, 2023

### New features

- Added an option to handle result on `onActivityResult` method. For more information, please visit our [README](README.md#with-onactivityresult-method).
- Added Content-Language for every request.

### Changed features

- UI: Increased image compression quality parameter.
- UI: Improved Auth screen ui components

## [2.1.2] - 25 Nov, 2022

### New features

- 📝 Added new identification recommendations.
- 🌟 Updated ID Card detection frame.
- 🔥 Added new `withCameraShape(value: MyIdCameraShape)` method to change camera shape.
- 🌟 Added new `withSdkHash(value: String)` method for identification.

### Changed features

- Update `targetSdkVersion` from `31` to `33`
- Update `androidx.core:core-ktx` from `1.8.0` to `1.9.0`
- Update `androidx.appcompat:appcompat` from `1.4.2` to `1.5.1`
- Update `cameraVersion` from `1.2.0-alpha01` to `1.3.0-alpha01`
- Update `mlkit-face-detection` from `17.0.1` to `17.1.0`
- Update `mlkit-text-recognition` from `18.0.0` to `18.0.2`
- Update `mlkit-barcode-scanning` from `18.0.0` to `18.1.0`

## [2.1.1] - 31 Oct, 2022

### Changed features

- Update `withLocale(value: MyIdLocale)` from `MyIdLocale` to `Locale`

## [2.1.0] - 16 Sep, 2022

### New features

- 🔥 Added new `withOrganizationDetails(value: OrganizationDetails)` method. You can customize the
  SDK, for it to match your organization's brand
  book. [Usage](README.md#custom-organization-details)
- 🌟 Added `comparison` value to the `MyIdResult` object on successful identification.

### Fixes

- 🔨 First April bug fixed.

## [2.0.9] - 30 Aug, 2022

### New features

- 🌟 Added new `withThreshold(value: Float)` method for identification.
- 🔥 Added Ban user feature.
- 🔥 Added Liveness fail and Bad or blurry recommendations.

### Fixes

- 🔨 `Image's size must be lower than 1600 kb`. This bug fixed.
